Add Software Deployment

Create a software deployment job for one named device.

This method creates a software deployment job. Users can add a URL-encoded string to the ‘filename’ field. Deployment jobs can be created for multiple devices of the same group.

KeyMeaningMandatoryData Type
nameName of the deployment jobYesstring
filenameSoftware file name (URL-encoded allowed)Yesstring
starttimeDeployment start time (format: HH:MM:AM/PM)Nostring
endtimeDeployment end time (format: HH:MM:AM/PM)Nostring
scheduletypeType of schedule (date/immediate/on-schedule)Yesstring
schedulevalueSchedule date (format: YYYY-MM-DD)Nostring
persistentWhether deployment is persistent (yes/no)Nostring
periodicityFrequency valueNostring
autorebootAuto reboot after deployment (true/false)Yesstring
rebootdatetimeReboot date time (format: YYYY-MM-DD HH:MM:SS)Nostring
groupnameDevice group nameYesstring
devicenameDevice nameYesstring
startwindowtimeDeployment window start time (format: HH:MM:AM/PM)Nostring
forcerebootForce reboot flag (true/false)Nostring
accountidAccount identifierYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Endpoint.addSoftwareDeployment(
  name="Demo name",
  accountid="Demo Account",
  filename="winscp-5.13.4-setup-x86",
  devicename="device 1",
  scheduletype="immediate",
  groupname="windows",
  autoreboot="true"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json